local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 1.5
  fadeWipe.EndTimer = 0
end


function onBegin()

  if getFlag("deeperwell_03bsub_to_start") then

    doFadeWipe(true)
    wait(0.6)
    enableMovement()
    enablePause()
    setFlag("deeperwell_03bsub_to_start", false)

  end

end